%define upstream_name    ExtUtils-HasCompiler
%define upstream_version 0.023

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Check for the presence of a compiler
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/ExtUtils/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Cwd)
BuildRequires: perl(DynaLoader)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::Mksymlists)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Test::More)
BuildRequires: perl(base)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl-devel
Requires:   perl-devel
BuildArch:  noarch

%description
This module tries to check if the current system is capable of compiling,
linking and loading an XS module.

*Notice*: this is an early release, interface stability isn't guaranteed
yet.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun Dec 27 2020 tv <tv> 0.23.0-1.mga8
+ Revision: 1664158
- update to 0.023

* Tue Jul 21 2020 tv <tv> 0.22.0-1.mga8
+ Revision: 1607542
- update to 0.022

* Wed Feb 12 2020 umeabot <umeabot> 0.21.0-4.mga8
+ Revision: 1504426
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.21.0-3.mga7
+ Revision: 1283642
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.21.0-2.mga7
+ Revision: 1164308
- rebuild with fixed rpm for missing autodeps

* Sun Sep 24 2017 sander85 <sander85> 0.21.0-1.mga7
+ Revision: 1158493
- update to 0.021

* Sun May 08 2016 shlomif <shlomif> 0.14.0-1.mga6
+ Revision: 1010640
- update to 0.014

* Thu Apr 28 2016 shlomif <shlomif> 0.13.0-1.mga6
+ Revision: 1007397
- Add requires
- imported package perl-ExtUtils-HasCompiler

